Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

# Class CircuitBreakerClassLevelClientWithDelay

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClassLevelClientWithDelay

All Implemented Interfaces:
  `Serializable`

@RequestScoped @CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.75, delay=50000L) public class CircuitBreakerClassLevelClientWithDelay extends Object implements Serializable
A client to exercise Circuit Breaker thresholds, with a SuccessThreshold of 2, a requestVolumeThreshold of 4, failureRatio of 0.75 and a 50 second delay, so that, once opened, the Circuit Breaker remains open for the duration of the test.

Author:
  Neil Young
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerClassLevelClientWithDelay()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingService()`
`Connection`
`serviceA()`
`Connection`
`serviceB()`
`Connection`
`serviceC()`
`Connection`
`serviceD()`
`void`
`setCounterForInvokingServiceA(int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerClassLevelClientWithDelay

public CircuitBreakerClassLevelClientWithDelay()

## Method Details

### getCounterForInvokingService

public int getCounterForInvokingService()

### setCounterForInvokingServiceA

public void setCounterForInvokingServiceA(int count)

### serviceA

public Connection serviceA()

### serviceB

public Connection serviceB()

### serviceC

@CircuitBreaker(successThreshold=2, requestVolumeThreshold=2, failureRatio=1.0, delay=50000L) public Connection serviceC()

### serviceD

@CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.75, delay=1L) public Connection serviceD()